Bug 462375 - 2.6.26.3-29.fc9.i686: stacktrace on usb disk plug in
2.6.26.3-29.fc9.i686: stacktrace on usb disk plug in
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 14:31 EDT by Need Real Name
Modified: 2008-10-01 02:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 02:37:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-09-15 14:31:59 EDT
sd 2:0:0:0: [sdb] Attached SCSI disk
sd 2:0:0:0: Attached scsi generic sg1 type 0
------------[ cut here ]------------
kernel BUG at drivers/char/random.c:728!
invalid opcode: 0000 [#1] SMP 
Modules linked in: usb_storage tun radeon drm autofs4 fuse nf_conntrack_netbios_ns ipt_REJECT xt_tcpudp nf_conntrack_ipv4 xt_state nf_conntrack iptable_filter ip_tables x_tables vfat fat dm_mirror dm_log dm_multipath dm_mod snd_atiixp snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer i2c_piix4 snd yenta_socket rsrc_nonstatic i2c_core firewire_ohci 3c59x mii serio_raw firewire_core crc_itu_t soundcore snd_page_alloc pcspkr sg pata_acpi ata_generic pata_atiixp libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]

Pid: 24383, comm: gnome-mount Tainted: G   M      (2.6.26.3-29.fc9.i686 #1)
EIP: 0060:[<c054620b>] EFLAGS: 00010206 CPU: 0
EIP is at account+0x1c/0xc9
EAX: 00000400 EBX: c07336b0 ECX: 00000000 EDX: 00001000
ESI: 00000000 EDI: 00001000 EBP: ecbb8f3c ESP: ecbb8f24
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process gnome-mount (pid: 24383, ti=ecbb8000 task=f6f8be80 task.ti=ecbb8000)
Stack: 00000000 6968d8e4 54eaadf4 00001000 00000000 00001000 ecbb8f68 c05466c7 
       00000000 b7d4a000 c07336b0 ecbb8f58 c04d0a13 ecbb8f70 ecb01000 c054674a 
       00001000 ecbb8f70 c0546757 ecbb8f90 c0485e48 ecbb8f9c b7d4a000 40000003 
Call Trace:
 [<c05466c7>] ? extract_entropy_user+0x28/0xab
 [<c04d0a13>] ? security_file_permission+0xf/0x11
 [<c054674a>] ? urandom_read+0x0/0xf
 [<c0546757>] ? urandom_read+0xd/0xf
 [<c0485e48>] ? vfs_read+0x87/0x12b
 [<c0485f85>] ? sys_read+0x3b/0x60
 [<c0404c32>] ? syscall_call+0x7/0xb
 =======================
Code: da 88 0d 80 a6 85 c0 e8 a7 fe ff ff 5b 5d c3 55 89 e5 57 89 d7 56 53 89 c3 83 ec 0c 89 4d e8 8b 00 8b 00 c1 e0 05 39 43 1c 7e 04 <0f> 0b eb fe 8d 43 14 89 45 ec e8 cd a9 0e 00 8b 73 1c b9 08 00 
EIP: [<c054620b>] account+0x1c/0xc9 SS:ESP 0068:ecbb8f24
---[ end trace 43e9932c9dbe3eda ]---
kjournald starting.  Commit interval 5 seconds
EXT3-fs warning: maximal mount count reached, running e2fsck is recommended
Comment 1 Orion Poplawski 2008-09-18 15:39:33 EDT
Seen also with 2.6.26.3-14.fc8, no usb activity:

kernel BUG at drivers/char/random.c:728!
invalid opcode: 0000 [#1] SMP
Modules linked in: i915 drm nfs lockd nfs_acl rfcomm l2cap bluetooth autofs4 fuse sunrpc ipv6 loop dm_multipath parport_pc parport iTCO_wdt snd_hda_intel e100 i2c_i801 pcspkr iTCO_vendor_support mii i2c_core snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_hwdep snd soundcore sr_mod sg cdrom dm_snapshot dm_zero dm_mirror dm_log dm_mod ata_generic pata_acpi ata_piix libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]

Pid: 17417, comm: npviewer.bin Not tainted (2.6.26.3-14.fc8 #1)
EIP: 0060:[<c05499c7>] EFLAGS: 00010206 CPU: 1
EIP is at account+0x1c/0xc9
EAX: 00000400 EBX: c0738a00 ECX: 00000000 EDX: 00001000
ESI: b7fab000 EDI: 00001000 EBP: ed4a0f3c ESP: ed4a0f20
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process npviewer.bin (pid: 17417, ti=ed4a0000 task=ee6eb200 task.ti=ed4a0000)
Stack: e1e26322 00000000 5555ba52 55301fd6 00001000 b7fab000 c0549f27 ed4a0f6c
       c0549e95 00000000 b7fab000 c0738a00 ee777200 ed4a0f5c c04ce9f5 ed4a0f74
       ee777200 b7fab000 c0549f27 ed4a0f74 c0549f34 ed4a0f90 c04848b7 ed4a0f9c
Call Trace:
 [<c0549f27>] ? urandom_read+0x0/0xf
 [<c0549e95>] ? extract_entropy_user+0x26/0xb8
 [<c04ce9f5>] ? security_file_permission+0xf/0x11
 [<c0549f27>] ? urandom_read+0x0/0xf
 [<c0549f34>] ? urandom_read+0xd/0xf
 [<c04848b7>] ? vfs_read+0x8a/0x131
 [<c0484d40>] ? sys_read+0x3b/0x60
 [<c0404bde>] ? syscall_call+0x7/0xb
 =======================
Code: da 88 0d 00 fe 85 c0 e8 9f fe ff ff 5b 5d c3 55 89 e5 57 89 d7 56 53 89 c3 83 ec 10 89 4d e8 8b 00 8b 00 c1 e0 05 39 43 1c 7e 04 <0f> 0b eb fe 8d 43 14 89 45 ec e8 35 61 0e 00 8b 73 1c b9 08 00
EIP: [<c05499c7>] account+0x1c/0xc9 SS:ESP 0068:ed4a0f20

Some discussion upstream:

http://groups.google.com/group/linux.kernel/browse_thread/thread/3304f729e2448437/3758c6301669800d?lnk=raot
Comment 2 Chuck Ebbert 2008-09-19 19:25:10 EDT
Fix for this is in upstream kernel 2.6.25.4
Comment 3 Fedora Update System 2008-09-24 20:17:05 EDT
kernel-2.6.26.5-45.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8283
Comment 4 Fedora Update System 2008-10-01 02:36:57 EDT
kernel-2.6.26.5-45.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.